<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.PatrolRecordMapper">
    <resultMap type="com.ltgk.boat.domain.entity.PatrolRecord" id="PatrolRecordResult">
        <result property="id" column="id"/>
        <result property="checkType" column="check_type"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="portType" column="port_type"/>
        <result property="manageUnit" column="manage_unit"/>
        <result property="portPrincipal" column="port_principal"/>
        <result property="portPrincipalTel" column="port_principal_tel"/>
        <result property="portStreet" column="port_street"/>
        <result property="berthNum" column="berth_num"/>
        <result property="currentBoatNum" column="current_boat_num"/>
        <result property="haveRegistLedger" column="have_regist_ledger"/>
        <result property="portCheckNum" column="port_check_num"/>
        <result property="monitorStatus" column="monitor_status"/>
        <result property="accessManageMethod" column="access_manage_method"/>
        <result property="fireControlCheckMethod" column="fire_control_check_method"/>
        <result property="haveFireFightApparatus" column="have_fire_fight_apparatus"/>
        <result property="haveRecoverySystem" column="have_recovery_system"/>
        <result property="portEnvironment" column="port_environment"/>
        <result property="harbourBasinEnvironment" column="harbour_basin_environment"/>
        <result property="haveSecurityOfficer" column="have_security_officer"/>
        <result property="haveLifeRope" column="have_life_rope"/>
        <result property="lifeVestNum" column="life_vest_num"/>
        <result property="lifeBuoyNum" column="life_buoy_num"/>
        <result property="checkPrincipal" column="check_principal"/>
        <result property="checkPrincipalTel" column="check_principal_tel"/>
        <result property="checkPerson" column="check_person"/>
        <result property="checkTime" column="check_time"/>
        <result property="checkPosition" column="check_position"/>
        <result property="boatId" column="boat_id"/>
        <result property="boatName" column="boat_name"/>
        <result property="boatPortId" column="boat_port_id"/>
        <result property="boatPortName" column="boat_port_name"/>
        <result property="boatType" column="boat_type"/>
        <result property="ownerName" column="owner_name"/>
        <result property="totalPower" column="total_power"/>
        <result property="boatStatus" column="boat_status"/>
        <result property="shipCertificateSitu" column="ship_certificate_situ"/>
        <result property="shipCertificateLegalSitu" column="ship_certificate_legal_situ"/>
        <result property="shipLableSitu" column="ship_lable_situ"/>
        <result property="dutySeamanCertificateSitu" column="duty_seaman_certificate_situ"/>
        <result property="commonSeamanCertificateSitu" column="common_seaman_certificate_situ"/>
        <result property="shipCertificateContrastSitu" column="ship_certificate_contrast_situ"/>
        <result property="shipNameSitu" column="ship_name_situ"/>
        <result property="extinguisherSitu" column="extinguisher_situ"/>
        <result property="fireHosesSitu" column="fire_hoses_situ"/>
        <result property="haveFireBucket" column="have_fire_bucket"/>
        <result property="lifeVestSitu" column="life_vest_situ"/>
        <result property="lifeBuoySitu" column="life_buoy_situ"/>
        <result property="lifeFloatSitu" column="life_float_situ"/>
        <result property="haveCdmaPhone" column="have_cdma_phone"/>
        <result property="haveBd" column="have_bd"/>
        <result property="haveVhf" column="have_vhf"/>
        <result property="haveAis" column="have_ais"/>
        <result property="haveUsw" column="have_usw"/>
        <result property="signalTotalSitu" column="signal_total_situ"/>
        <result property="lineLampSitu" column="line_lamp_situ"/>
        <result property="lineShapeSitu" column="line_shape_situ"/>
        <result property="foglightSitu" column="foglight_situ"/>
        <result property="showLineLamp" column="show_line_lamp"/>
        <result property="isFormatProduction" column="is_format_production"/>
        <result property="isExtinguisherPosition" column="is_extinguisher_position"/>
        <result property="haveInflammale" column="have_inflammale"/>
        <result property="haveFireAging" column="have_fire_aging"/>
        <result property="isExceedWind" column="is_exceed_wind"/>
        <result property="isNavigateZone" column="is_navigate_zone"/>
        <result property="haveGarbageStorage" column="have_garbage_storage"/>
        <result property="isExecuteAntifouling" column="is_execute_antifouling"/>
        <result property="checkSummary" column="check_summary"/>
        <result property="handleResult" column="handle_result"/>
        <result property="rectifySitu" column="rectify_situ"/>
        <result property="boatOwnerCaptain" column="boat_owner_captain"/>
        <result property="images" column="images"/>
        <result property="autograph" column="autograph"/>
        <result property="nolocalvessels" column="nolocalvessels"/>
        <result property="videoPath" column="video_path"/>
        <result property="videoName" column="video_name"/>
        <result property="isLimitSpace" column="is_limit_space"/>
        <result property="isLifting" column="is_lifting"/>
        <result property="isHeightsWork" column="is_heights_work"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>